    deferred class
    	WEL_ABSTRACT_DISPATCHER

    Ancestors
    	WEL_DATA_TYPE
    	WEL_DIALOG_MANAGER
    	WEL_EN_CONSTANTS
    	WEL_WINDOWS_ROUTINES
    	WEL_WM_CONSTANTS

    Descendants
    	WEL_DISPATCHER

    Clients
    	WEL_ABSTRACT_DISPATCHER*

    Suppliers
    	BOOLEAN
    	CELL [G]
    	EXCEPTION
    	EXCEPTIONS
    	POINTER
    	PROCEDURE [BASE_TYPE, OPEN_ARGS -> TUPLE create default_create end]
    	STD_FILES
    	WEL_ABSTRACT_DISPATCHER*
    	WEL_WINDOW*